Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class IntegerList

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ListType<java.lang.Integer>
                  org.archive.crawler.settings.IntegerList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.List<java.lang.Object>

    public class IntegerList

extends ListType<java.lang.Integer>

List of Integer values

Author:
  John Erik Halse
See Also:
  Serialized Form

Constructor Summary
`IntegerList(java.lang.String name, java.lang.String description)` Creates a new IntegerList.
`IntegerList(java.lang.String name, java.lang.String description, int[] l)` Creates a new IntegerList and initializes it with the values from an int array.
`IntegerList(java.lang.String name, java.lang.String description, java.lang.Integer[] l)` Creates a new IntegerList and initializes it with the values from an array of Integers.
`IntegerList(java.lang.String name, java.lang.String description, IntegerList l)` Creates a new IntegerList and initializes it with the values from another IntegerList.

Method Summary
`void` | `add(int element)` Add a new int at the end of this list.
`void` | `add(java.lang.Integer element)` Add a new `Integer` at the end of this list.
`void` | `add(int index, int element)` Add a new `int` at the specified index to this list.
`void` | `add(int index, java.lang.Integer element)` Add a new `Integer` at the specified index to this list.
`void` | `addAll(int[] l)` Appends all of the elements in the specified array to the end of this list, in the same order that they are in the array.
`void` | `addAll(java.lang.Integer[] l)` Appends all of the elements in the specified array to the end of this list, in the same order that they are in the array.
`void` | `addAll(IntegerList l)` Appends all of the elements in the specified list to the end of this list, in the order that they are returned by the specified lists's iterator.
`java.lang.Integer` | `checkType(java.lang.Object element)` Check if element is of right type for this list.
`java.lang.Integer` | `set(int index, java.lang.Integer element)` Replaces the element at the specified position in this list with the specified element.

Methods inherited from class org.archive.crawler.settings.ListType
`add, add, addAll, addAll, addAll, clear, contains, containsAll, get, getDefaultValue, getDescription, getLegalValues, getValue, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, typesafe`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### IntegerList

    public IntegerList(java.lang.String name,
                       java.lang.String description)

  Creates a new IntegerList.

  Parameters:
    `name` - of the list.
    `description` - of the list. This string should be suitable for using in a user interface.

### IntegerList

    public IntegerList(java.lang.String name,
                       java.lang.String description,
                       IntegerList l)

  Creates a new IntegerList and initializes it with the values from another IntegerList.

  Parameters:
    `name` - of the list.
    `description` - of the list. This string should be suitable for using in a user interface.
    `l` - the list from which this lists gets its initial values.

### IntegerList

    public IntegerList(java.lang.String name,
                       java.lang.String description,
                       java.lang.Integer[] l)

  Creates a new IntegerList and initializes it with the values from an array of Integers.

  Parameters:
    `name` - of the list.
    `description` - of the list. This string should be suitable for using in a user interface.
    `l` - the array from which this lists gets its initial values.

### IntegerList

    public IntegerList(java.lang.String name,
                       java.lang.String description,
                       int[] l)

  Creates a new IntegerList and initializes it with the values from an int array.

  Parameters:
    `name` - of the list.
    `description` - of the list. This string should be suitable for using in a user interface.
    `l` - the array from which this lists gets its initial values.

Method Detail

### add

    public void add(int index,
                    java.lang.Integer element)

  Add a new `Integer` at the specified index to this list.

  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - the value to be added.

### add

    public void add(int index,
                    int element)

  Add a new `int` at the specified index to this list.

  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - the value to be added.

### add

    public void add(java.lang.Integer element)

  Add a new `Integer` at the end of this list.

  Parameters:
    `element` - the value to be added.

### add

    public void add(int element)

  Add a new int at the end of this list.

  Parameters:
    `element` - the value to be added.

### addAll

    public void addAll(IntegerList l)

  Appends all of the elements in the specified list to the end of this list, in the order that they are returned by the specified lists's iterator. The behavior of this operation is unspecified if the specified collection is modified while the operation is in progress.

  Parameters:
    `l` - list whose elements are to be added to this list.

### addAll

    public void addAll(java.lang.Integer[] l)

  Appends all of the elements in the specified array to the end of this list, in the same order that they are in the array.

  Parameters:
    `l` - array whose elements are to be added to this list.

### addAll

    public void addAll(int[] l)

  Appends all of the elements in the specified array to the end of this list, in the same order that they are in the array.

  Parameters:
    `l` - array whose elements are to be added to this list.

### set

    public java.lang.Integer set(int index,
                                 java.lang.Integer element)

  Replaces the element at the specified position in this list with the specified element.

  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted.
  Returns:
    the element previously at the specified position.

### checkType

    public java.lang.Integer checkType(java.lang.Object element)
                                throws java.lang.ClassCastException

  Check if element is of right type for this list. If this method gets a String, it tries to convert it to the an Integer before eventually throwing an exception.

  Specified by:
    `checkType` in class `ListType<java.lang.Integer>`
  Parameters:
    `element` - element to check.
  Returns:
    element of the right type.
  Throws:
    `java.lang.ClassCastException` - is thrown if the element was of wrong type and could not be converted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.